$(document).ready(function () {
    // Setup - add a text input to each footer cell
    $('.filter_each_column_table tfoot th').each(function () {
        var title = $(this).text();
        $(this).not('.no_filter').html('<input type="text" class="form-control" placeholder="Search ' + title + '" />');
    });

    // DataTable
    var table = $('.filter_each_column_table').DataTable({
        initComplete: function () {
            // Apply the search
            this.api().columns().every(function () {
                var that = this;

                $('input', this.footer()).on('keyup change clear', function () {
                    if (that.search() !== this.value) {
                        that
                            .search(this.value)
                            .draw();
                    }
                });
            });
        },

        "columnDefs": [
            { "orderable": false, "targets": [1] },
            // { "orderable": true, "targets": [ 2, 3] }
        ],
        fixedColumns: {
            leftColumns: 2,
            // rightColumns: 1
        },
        pageLength: 20,
        scrollY: "58vh",
        scrollX: true,
        scrollCollapse: true,
        "dom": '<"top">rt<"bottom"lfip><"clear">',
        // searching:false,
        "pagingType": "full_numbers"
    });

});